Subject: Blow your lady away with the largest d1ck she has seen in her life.

From: "Casy Mandel" <[email-masked]>
Date: Tue, 5 Feb 2008 03:59:04 +0100

Medical science has come so far - a new big dick is now a possibility.